- name: Query the endpoint MAC from EPG Specific
  hosts: all
  connection: local
  gather_facts: False
  vars:
    print: True

  tasks:

    - name: Query MAC from EPGs Specific
      include_role:
        name: aci_epg
        tasks_from: query_epg_mac_specific.yml
      vars:
        target_mac: "{{ awx_webhook_payload.data.secret }}"

    - name: Store MAC from EPGs
      set_fact:
        structured_data_epg_mac_specific: "{{ structured_data_epg_mac_specific | default({}) | combine({ item_dn: {'mac': item_mac, 'encap': item_encap, 'path': item_path } }) }}"
      loop: "{{ aci_epg_mac_specific_result['imdata'] }}"
      vars:
        item_mac: "{{ item['fvCEp']['attributes']['mac'] | default(item['fvCEp']['attributes']['name'] )}}"
        item_encap: "{{ item['fvCEp']['attributes']['encap'] }}"
        item_path: "{{ item['fvCEp']['attributes']['fabricPathDn'] }}"
        item_dn: "{{item['fvCEp']['attributes']['dn'] }}"

    - name: Display Structured MAC from EPGs
      debug:
        msg: "{{ structured_data_epg_mac_specific }}"
      when: 
        - print == True
        - structured_data_epg_mac_specific is defined

    - name: Create/update the custom field with the response
      include_role:
        name: netbox_configuration
        tasks_from: create_custom_field.yml
      vars:
        uuid: "{{ awx_webhook_payload.data.custom_fields.Query_UUID }}"
        awx_response: "{{ structured_data_epg_mac_specific }}"
      when:
        - structured_data_epg_mac_specific is defined
        - awx_webhook_payload.data.custom_fields.Query_UUID is defined